cURL
curl --request GET \
--url https://api.feedspace.io/v3/feeds/video/{video_feed_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.feedspace.io/v3/feeds/video/{video_feed_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.feedspace.io/v3/feeds/video/{video_feed_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 3295,
"unique_feedback_id": "GtITNG",
"language_id": null,
"public_url": "https://www.feedspace.io/vf/GtITNG",
"comment": null,
"review_text": null,
"review_title": null,
"reviewed_at": null,
"rating": null,
"type": "Uploaded",
"favourite": 0,
"sentiment_id": null,
"transcript": "Hi, I'm Prajakha. I'm a content writer, and I've been using feedspace to collect feedback and testimonials from my clients. The feedback is helping me get better at my work and provide better value to my clients. Whereas the testimonials, I've been sharing those on social media. I'm adding them in my portfolio, and I am putting them on my blog also along with case studies. So this is helping me get a lot of inbound leads and also instill. I trust in my potential clients. So, yeah, it's been really helpful so far.",
"transcript_generated": true,
"static_thumb_url": "https://static.feedspace.io/uploads/zhBU6t/thumbs/feed_zhBU6t17440151726652-thumb.jpg",
"is_video_converted": 1,
"created_at": "2025-04-07T08:40:15.000000Z",
"feed_fields": {
"name": "Anonymous",
"profile_pic_url": null,
"position": "Content Writer",
"organization_name": null,
"consent": null
},
"feed_form": {
"name": "New Review Form",
"unique_form_id": "form_gSgElcsXX8LaI6RtMA6JqlkN",
"public_url": "https://www.feedspace.io/u/4en9smV"
},
"question_answers": [
{
"feed_form_question_id": 30081,
"question_type": 1,
"question_text": "name",
"default_value": "",
"question_label": "",
"mandatory": 0,
"answer": "",
"placeholder": "Name"
},
{
"feed_form_question_id": 30082,
"question_type": 1,
"question_text": "email",
"default_value": "",
"question_label": "",
"mandatory": 0,
"answer": "",
"placeholder": "Email"
},
{
"feed_form_question_id": 30084,
"question_type": 1,
"question_text": "position",
"default_value": "",
"question_label": "Job Role",
"mandatory": 0,
"answer": "Content Writer",
"placeholder": "Job Role"
},
{
"feed_form_question_id": 30085,
"question_type": 1,
"question_text": "organization_name",
"default_value": "",
"question_label": "Company Name",
"mandatory": 0,
"answer": "",
"placeholder": "Company Name"
},
{
"feed_form_question_id": 30086,
"question_type": 1,
"question_text": "contact_number",
"default_value": "",
"question_label": "",
"mandatory": 0,
"answer": "",
"placeholder": "Contact Number"
},
{
"feed_form_question_id": 30083,
"question_type": 4,
"question_text": "consent",
"default_value": "",
"question_label": "I hereby grant permission to share this review with others.",
"mandatory": 0,
"answer": "1",
"placeholder": "Consent"
}
],
"file_url": "https://static.feedspace.io/uploads/zhBU6t/video-feed/feed_zhBU6t17440151726652.mp4",
"is_download_enabled": false,
"is_pro_editor_enabled": true,
"meta_properties": null,
"trim_status": null,
"reviewer_social_urls": [],
"duplicated_from_id": null
}
}Video Reviews
Single Video Review
Get details of a single Video Review.
GET
/
feeds
/
video
/
{video_feed_id}
cURL
Authorizations
HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).
Path Parameters
The review's numeric ID, as returned in the id field of GET /feeds. This is not the unique_feedback_id field — that value is not accepted here.
Example:
3295
Response
200 - application/json
Video review details fetched successfully.
Show child attributes
Show child attributes
⌘I